TextBufferWindow
Keywords: org.p2c2e.zing.TextBufferWindow class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.zing
Class TextBufferWindow

    java.lang.Object
      org.p2c2e.zing.Window
          org.p2c2e.zing.TextBufferWindow

All Implemented Interfaces:
  java.lang.Comparable, java.util.EventListener, java.awt.event.MouseListener

public final class TextBufferWindow
extends Window

Field Summary
`static int` | `INLINE_CENTER`
`static int` | `INLINE_DOWN`
`static int` | `INLINE_UP`
`static int` | `MARGIN_LEFT`
`static int` | `MARGIN_RIGHT`

Fields inherited from class org.p2c2e.zing.Window
`ABOVE, BELOW, BLANK, FIXED, GRAPHICS, LEFT, PAIR, PROPORTIONAL, RIGHT, root, TEXT_BUFFER, TEXT_GRID`

Constructor Summary
`TextBufferWindow(java.awt.font.FontRenderContext context)`

Method Summary
`void` | `cancelCharacterInput()`
`void` | `cancelHyperlinkInput()`
`java.lang.String` | `cancelLineInput()`
`protected void` | `clear()`
`protected Style` | `createHintedStyle(Style style)`
`protected void` | `doLayout()`
`boolean` | `drawImage(java.awt.Image img, int align)`
`void` | `flowBreak()`
`protected int` | `getSplit(int numLines, int axis)`
`protected java.util.Map` | `getStyleMap()`
`int` | `getWindowHeight()`
`protected int` | `getWindowType()`
`int` | `getWindowWidth()`
`protected void` | `handleKey(java.awt.event.KeyEvent e)`
`boolean` | `isFocusStealable()`
`protected boolean` | `isRequestingKeyboardInput()`
`protected void` | `layout(org.p2c2e.zing.TextBufferWindow.Line curLine, org.p2c2e.zing.TextBufferWindow.Line lastLine)`
`protected boolean` | `measureStyle(java.lang.String stName, int hint, Int b)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`protected void` | `putChar(char c)`
`protected void` | `putString(java.lang.String s)`
`protected void` | `rearrange(java.awt.Rectangle r)`
`boolean` | `requestCharacterInput(CharInputConsumer cic)`
`void` | `requestHyperlinkInput(HyperlinkInputConsumer hic)`
`boolean` | `requestLineInput(LineInputConsumer lic, java.lang.String initContents, int max)`
`protected void` | `restyle(boolean useHints)`
`void` | `setHyperlink(int val)`
`protected void` | `setStyle(Style style)`

Methods inherited from class org.p2c2e.zing.Window
`cancelMouseInput, close, closeStream, compareTo, createHintedStyles, focusHighlight, getEchoStream, getParent, getSibling, getStream, mouseEntered, mouseExited, mousePressed, mouseReleased, requestMouseInput, setEchoStream, split, unfocusHighlight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INLINE_UP

    public static final int INLINE_UP

See Also:
  Constant Field Values

### INLINE_DOWN

    public static final int INLINE_DOWN

See Also:
  Constant Field Values

### INLINE_CENTER

    public static final int INLINE_CENTER

See Also:
  Constant Field Values

### MARGIN_LEFT

    public static final int MARGIN_LEFT

See Also:
  Constant Field Values

### MARGIN_RIGHT

    public static final int MARGIN_RIGHT

See Also:
  Constant Field Values

Constructor Detail

### TextBufferWindow

    public TextBufferWindow(java.awt.font.FontRenderContext context)

Method Detail

### getWindowType

    protected int getWindowType()

  Overrides:
    `getWindowType` in class `Window`

### restyle

    protected void restyle(boolean useHints)

  Overrides:
    `restyle` in class `Window`

### isRequestingKeyboardInput

    protected boolean isRequestingKeyboardInput()

  Overrides:
    `isRequestingKeyboardInput` in class `Window`

### getWindowWidth

    public int getWindowWidth()

  Overrides:
    `getWindowWidth` in class `Window`

### getWindowHeight

    public int getWindowHeight()

  Overrides:
    `getWindowHeight` in class `Window`

### requestHyperlinkInput

    public void requestHyperlinkInput(HyperlinkInputConsumer hic)

### cancelHyperlinkInput

    public void cancelHyperlinkInput()

### setHyperlink

    public void setHyperlink(int val)

### doLayout

    protected void doLayout()

  Overrides:
    `doLayout` in class `Window`

### putChar

    protected void putChar(char c)

  Overrides:
    `putChar` in class `Window`

### putString

    protected void putString(java.lang.String s)

  Overrides:
    `putString` in class `Window`

### clear

    protected void clear()

  Overrides:
    `clear` in class `Window`

### measureStyle

    protected boolean measureStyle(java.lang.String stName,
                                   int hint,
                                   Int b)

  Overrides:
    `measureStyle` in class `Window`

### setStyle

    protected void setStyle(Style style)

  Overrides:
    `setStyle` in class `Window`

### drawImage

    public boolean drawImage(java.awt.Image img,
                             int align)

### flowBreak

    public void flowBreak()

### getStyleMap

    protected java.util.Map getStyleMap()

  Overrides:
    `getStyleMap` in class `Window`

### createHintedStyle

    protected Style createHintedStyle(Style style)

  Overrides:
    `createHintedStyle` in class `Window`

### getSplit

    protected int getSplit(int numLines,
                           int axis)

  Overrides:
    `getSplit` in class `Window`

### rearrange

    protected void rearrange(java.awt.Rectangle r)

  Specified by:
    `rearrange` in class `Window`

### layout

    protected void layout(org.p2c2e.zing.TextBufferWindow.Line curLine,
                          org.p2c2e.zing.TextBufferWindow.Line lastLine)

### isFocusStealable

    public boolean isFocusStealable()

  Overrides:
    `isFocusStealable` in class `Window`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseClicked` in class `Window`

### requestCharacterInput

    public boolean requestCharacterInput(CharInputConsumer cic)

  Overrides:
    `requestCharacterInput` in class `Window`

### requestLineInput

    public boolean requestLineInput(LineInputConsumer lic,
                                    java.lang.String initContents,
                                    int max)

  Overrides:
    `requestLineInput` in class `Window`

### cancelCharacterInput

    public void cancelCharacterInput()

  Overrides:
    `cancelCharacterInput` in class `Window`

### cancelLineInput

    public java.lang.String cancelLineInput()

  Overrides:
    `cancelLineInput` in class `Window`

### handleKey

    protected void handleKey(java.awt.event.KeyEvent e)

  Overrides:
    `handleKey` in class `Window`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD